Bug 186172 - can't install net/poptop with KERNPPP=on
can't install net/poptop with KERNPPP=on
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: John Marino
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-27 15:50 UTC by timp87
Modified: 2014-08-30 21:51 UTC (History)
2 users (show)

See Also:


Attachments
fix work on FreeBSD (656 bytes, patch)
2014-08-26 08:46 UTC, timp87
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2014-01-27 15:50:00 UTC
can't install net/poptop with KERNPPP=on
..
===>  Building for poptop-1.4.0
gmake[2]: Entering directory `/usr/ports/net/poptop/work/pptpd-1.4.0'
gmake  all-am
gmake[3]: Entering directory `/usr/ports/net/poptop/work/pptpd-1.4.0'
cc -DHAVE_CONFIG_H -I. -I.    -O2 -pipe -I/usr/ports/net/poptop/work/ppp-2.4.5 -fno-strict-aliasing -fno-builtin -DSBINDIR='"/usr/local/sbin"' -DETCDIR='"/us
r/local/etc"' -c pqueue.c
cc -DHAVE_CONFIG_H -I. -I.    -O2 -pipe -I/usr/ports/net/poptop/work/ppp-2.4.5 -fno-strict-aliasing -fno-builtin -DSBINDIR='"/usr/local/sbin"' -DETCDIR='"/us
r/local/etc"' -c pptpd.c
cc -DHAVE_CONFIG_H -I. -I.    -O2 -pipe -I/usr/ports/net/poptop/work/ppp-2.4.5 -fno-strict-aliasing -fno-builtin -DSBINDIR='"/usr/local/sbin"' -DETCDIR='"/us
r/local/etc"' -c configfile.c
cc -DHAVE_CONFIG_H -I. -I.    -O2 -pipe -I/usr/ports/net/poptop/work/ppp-2.4.5 -fno-strict-aliasing -fno-builtin -DSBINDIR='"/usr/local/sbin"' -DETCDIR='"/us
r/local/etc"' -c pptpmanager.c
cc -DHAVE_CONFIG_H -I. -I.    -O2 -pipe -I/usr/ports/net/poptop/work/ppp-2.4.5 -fno-strict-aliasing -fno-builtin -DSBINDIR='"/usr/local/sbin"' -DETCDIR='"/us
r/local/etc"' -c compat.c
cc -DHAVE_CONFIG_H -I. -I.    -O2 -pipe -I/usr/ports/net/poptop/work/ppp-2.4.5 -fno-strict-aliasing -fno-builtin -DSBINDIR='"/usr/local/sbin"' -DETCDIR='"/us
r/local/etc"' -c inststr.c
cc -DHAVE_CONFIG_H -I. -I.    -O2 -pipe -I/usr/ports/net/poptop/work/ppp-2.4.5 -fno-strict-aliasing -fno-builtin -DSBINDIR='"/usr/local/sbin"' -DETCDIR='"/us
r/local/etc"' -c getopt.c
compat.c:123:21: warning: format string is not a string literal (potentially insecure) [-Wformat-security]                                          [45/1899]
       setproctitle(proctitle);
                    ^~~~~~~~~
compat.c:168:5: warning: implicit declaration of function 'strerror' is invalid in C99 [-Wimplicit-function-declaration]
    syslog_perror("sigpipe write");
    ^
./our_syslog.h:38:62: note: expanded from macro 'syslog_perror'
#define syslog_perror(s)        syslog(LOG_ERR, "%s: %s", s, strerror(errno))
                                                             ^
compat.c:168:5: warning: format specifies type 'char *' but the argument has type 'int' [-Wformat]
    syslog_perror("sigpipe write");
    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
./our_syslog.h:38:62: note: expanded from macro 'syslog_perror'
#define syslog_perror(s)        syslog(LOG_ERR, "%s: %s", s, strerror(errno))
                                                     ~~      ^~~~~~~~~~~~~~~
compat.c:178:3: warning: implicit declaration of function 'memset' is invalid in C99 [-Wimplicit-function-declaration]
  memset(&sa, 0, sizeof(sa));
  ^
compat.c:194:5: warning: format specifies type 'char *' but the argument has type 'int' [-Wformat]
    syslog_perror("sigpipe read");
    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
./our_syslog.h:38:62: note: expanded from macro 'syslog_perror'
#define syslog_perror(s)        syslog(LOG_ERR, "%s: %s", s, strerror(errno))
                                                     ~~      ^~~~~~~~~~~~~~~
5 warnings generated.
cc -DHAVE_CONFIG_H -I. -I.    -O2 -pipe -I/usr/ports/net/poptop/work/ppp-2.4.5 -fno-strict-aliasing -fno-builtin -DSBINDIR='"/usr/local/sbin"' -DETCDIR='"/us
r/local/etc"' -c getopt1.c
cc -DHAVE_CONFIG_H -I. -I.    -O2 -pipe -I/usr/ports/net/poptop/work/ppp-2.4.5 -fno-strict-aliasing -fno-builtin -DSBINDIR='"/usr/local/sbin"' -DETCDIR='"/us
r/local/etc"' -c pptpctrl.c
cc -DHAVE_CONFIG_H -I. -I.    -O2 -pipe -I/usr/ports/net/poptop/work/ppp-2.4.5 -fno-strict-aliasing -fno-builtin -DSBINDIR='"/usr/local/sbin"' -DETCDIR='"/us
r/local/etc"' -c ctrlpacket.c
cc -DHAVE_CONFIG_H -I. -I.    -O2 -pipe -I/usr/ports/net/poptop/work/ppp-2.4.5 -fno-strict-aliasing -fno-builtin -DSBINDIR='"/usr/local/sbin"' -DETCDIR='"/us
r/local/etc"' -c pptpgre.c
pptpctrl.c:595:32: error: variable has incomplete type 'struct termios'
                struct termios tios;
                               ^
/usr/include/libutil.h:85:8: note: forward declaration of 'struct termios'
struct termios;
       ^
pptpctrl.c:600:21: warning: implicit declaration of function 'tcgetattr' is invalid in C99 [-Wimplicit-function-declaration]
                if (tcgetattr(tty_fd, &tios) < 0) {
                    ^
pptpctrl.c:605:35: error: use of undeclared identifier 'ECHO'
                tios.c_lflag &= ~(ECHO | ECHONL);
                                  ^
pptpctrl.c:605:42: error: use of undeclared identifier 'ECHONL'
                tios.c_lflag &= ~(ECHO | ECHONL);
                                         ^
pptpctrl.c:606:21: warning: implicit declaration of function 'tcsetattr' is invalid in C99 [-Wimplicit-function-declaration]
                if (tcsetattr(tty_fd, TCSAFLUSH, &tios) < 0) {
                    ^
pptpctrl.c:606:39: error: use of undeclared identifier 'TCSAFLUSH'
                if (tcsetattr(tty_fd, TCSAFLUSH, &tios) < 0) {
                                      ^
2 warnings and 4 errors generated.
gmake[3]: *** [pptpctrl.o] Error 1
gmake[3]: *** Waiting for unfinished jobs....
gmake[3]: Leaving directory `/usr/ports/net/poptop/work/pptpd-1.4.0'
gmake[2]: *** [all] Error 2
gmake[2]: Leaving directory `/usr/ports/net/poptop/work/pptpd-1.4.0'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/net/poptop
*** Error code 1

Stop.
make: stopped in /usr/ports/net/poptop

===>>> make failed for net/poptop
===>>> Aborting update

===>>> Killing background jobs
Terminated
Comment 1 John Marino freebsd_committer 2014-07-11 23:15:57 UTC
There is no maintainer for this port so your best bet is to provide a patch if you want it fixed...
Comment 2 John Marino freebsd_committer 2014-08-13 23:53:16 UTC
For the lack of a better choice, I'm going to close this PR based on the submitter "timing out".  It can't go forward and I can't tell if this is a support mode anyway.
Comment 3 timp87 2014-08-14 04:24:42 UTC
I don't know how to fix it. But I'd love to revert back that commit https://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185701

I can't understand why update was suggested.
Now version 1.4.0 is still experimental, and 1.3.4 is stable.
Comment 4 John Marino freebsd_committer 2014-08-14 08:29:29 UTC
okay, so KERNPPP refers to a non-default option?
And the problem occurs when the user selects the option?

So the solution is to remove the option for now?
Comment 5 timp87 2014-08-15 13:01:15 UTC
> okay, so KERNPPP refers to a non-default option?
yes
> And the problem occurs when the user selects the option?
yes
> So the solution is to remove the option for now?
maybe, but in my installation poptop stops working
Comment 6 John Marino freebsd_committer 2014-08-15 13:07:31 UTC
i don't get it.

If you put the option on, it doesn't build.  So how it can "stop working" ?
Comment 7 timp87 2014-08-15 13:13:09 UTC
Yea, confusing, sorry =)

It stops working when I upgrade it to 1.4.0 (I'm still using previous version). So my first though was try to turn on that option. I hoped this can be resolved fast. But..
Anyway, I think PR can be closed.

I should migrate to mpd5.
Comment 8 John Marino freebsd_committer 2014-08-15 15:48:26 UTC
if KERNPPP don't build at all, it should be disable.
And if the port doesn't work without it, the whole port should be marked broken.

I am not familiar with it though.
Comment 9 screenblack 2014-08-26 08:00:57 UTC
Hi!

Using KERNPPP you are using the linux version. That version was modified to support something on Debian. Maybe it will be problem.
But, the FreeBSD version was fixed. :)

Thread: http://sourceforge.net/p/poptop/mailman/poptop-server/?viewmonth=201408

Patch: http://sourceforge.net/p/poptop/git/ci/7ac03f8e907dc8ca1077c7fc1c9ceb61dbd2da92/
Comment 10 John Marino freebsd_committer 2014-08-26 08:02:56 UTC
timp87, prepare a patch to the port, please.
Comment 11 timp87 2014-08-26 08:46:16 UTC
Created attachment 146293 [details]
fix work on FreeBSD

Is it suitable?
Comment 12 timp87 2014-08-26 08:46:58 UTC
(In reply to screenblack from comment #9)
> Hi!
> 
> Using KERNPPP you are using the linux version.

So this option is useless on FreeBSD? Should we remove it in this case?
Comment 13 John Marino freebsd_committer 2014-08-26 09:03:03 UTC
(In reply to timp87 from comment #11)
> Created attachment 146293 [details]
> fix work on FreeBSD
> 
> Is it suitable?

It's a patch of one of the port's patches?
Comment 14 timp87 2014-08-26 09:04:51 UTC
(In reply to John Marino from comment #13)
> (In reply to timp87 from comment #11)
> > Created attachment 146293 [details]
> > fix work on FreeBSD
> > 
> > Is it suitable?
> 
> It's a patch of one of the port's patches?

Yes, because there is already patch for that file. It's a patch for patch =)
Comment 15 John Marino freebsd_committer 2014-08-26 09:06:25 UTC
so the next question is obvious: Do it solve your problem?
Comment 16 screenblack 2014-08-26 09:42:26 UTC
(In reply to timp87 from comment #12)
> (In reply to screenblack from comment #9)
> > Hi!
> > 
> > Using KERNPPP you are using the linux version.
> 
> So this option is useless on FreeBSD? Should we remove it in this case?

I don't know how kernel space works. Sorry.
Comment 17 timp87 2014-08-26 09:51:48 UTC
(In reply to John Marino from comment #15)
> so the next question is obvious: Do it solve your problem?

Yes, I have 41 connected users right now. Looks like everything works ok.
Comment 18 John Marino freebsd_committer 2014-08-26 09:57:25 UTC
okay, let's get this in line.

(screenblack: sorry, I was asking timp87 that question)
Comment 19 timp87 2014-08-26 14:27:33 UTC
(In reply to John Marino from comment #18)
> okay, let's get this in line.
> 
> (screenblack: sorry, I was asking timp87 that question)

Oops, I'm so sorry for misinformation! It didn't help, I was wrong :(
Comment 20 commit-hook freebsd_committer 2014-08-30 21:49:41 UTC
A commit references this bug:

Author: marino
Date: Sat Aug 30 21:49:22 UTC 2014
New revision: 366684
URL: http://svnweb.freebsd.org/changeset/ports/366684

Log:
  net/poptop: Fix KERNPPP option operation

  PR:		186172
  Reported by:	timp87 (gmail)
  Solution by:	blackscreen (gmail)

Changes:
  head/net/poptop/Makefile
  head/net/poptop/files/patch-pptpctrl.c
Comment 21 John Marino freebsd_committer 2014-08-30 21:51:44 UTC
Thanks for figuring out the solution, guys!